:root {
    --main-bg-color-dark: #121212;
    --surface-color-dark: rgba(255, 255, 255, 0.05);
    --primary-color: #BB86FC;
    --secondary-color: #039be5;
    --error-color-dark: #CF6679;
    --on-primary-color: #000000;
    --on-secondary-color: #000000;
    --on-background-color: #FFFFFF;
    --on-surface-color: #FFFFFF;
    --on-error-color: #000000;
    --active-bg-color-dark: #515151;
    --bar-bg-color-dark: #ff6464;
    --heading-color-dark: #dfdada;
    --text-color-active-dark: #00fff5;
}

* {
    box-sizing: border-box;
}

html {
    height: 100vh;
}

body * {
    font-family: 'Roboto', sans-serif;
}

.header-main {
    background-color: var(--surface-color-dark);
    /**avoid using primary color on large components)**/
    color: var(--on-surface-color);
    grid-area: hdrm;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.nav-main {
    background-color: var(--surface-color-dark);
    color: var(--on-surface-color);
    grid-area: navm;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.content-window-main {
    background-color: var(--surface-color-dark);
    color: var(--on-surface-color);
    grid-area: cwdm;
}

.sidebar-main {
    background-color: var(--surface-color-dark);
    color: var(--on-surface-color);
    border-left: solid 0.5px var(--secondary-color);
    grid-area: sdbm;
}

.footer-main {
    background-color: var(--surface-color-dark);
    color: var(--on-primary-color);
    max-height: 2rem;
    width: 100%;
    grid-area: ftrm;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

body {
    background-color: var(--main-bg-color-dark);
    margin: 0;
    height: 100%;
    display: grid;
    grid-gap: 0.5rem;
    grid-template-areas: "hdrm" "navm" "cwdm" "sdbm" "ftrm";
    grid-template-rows: auto 1fr auto;
}

.nav-main,
.content-window-main,
.sidebar-main {
    border-radius: 0.5rem;
}

@media (min-width: 500px) {
    body {
        grid-template-columns: 1fr 6fr 1fr;
        grid-template-areas: "hdrm hdrm hdrm" "navm cwdm sdbm" "ftrm ftrm ftrm";
    }
    .nav-main {
        display: flex;
        flex-direction: column;
    }
}

@media (min-width: 700px) {
    body {
        grid-template-columns: 1fr 13fr 2fr;
        grid-template-areas: "hdrm hdrm hdrm" "navm cwdm sdbm" "ftrm ftrm ftrm";
    }
    .nav-main {
        display: flex;
        flex-direction: column;
    }
}

.nav-main .nav-main-item {
    min-height: 3rem;
    margin-top: 0.3rem;
    margin-bottom: 0.3rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.nav-main-item a {
    color: var(--on-surface-color);
    text-decoration: none;
}

.header-main .header-main-item {
    display: flex;
    flex-direction: row;
}

.md-inactive {
    color: gray;
}

.material-logo {
    color: darkgray;
    animation: animate_logo 3s linear;
}

#icon-md-exit {
    transform: rotateY(180deg);
}

@keyframes animate_logo {
    25% {
        color: gray;
        transform: rotateZ(90deg);
    }
    50% {
        color: rgba(138, 158, 245, 0.993);
        transform: rotateZ(180deg);
    }
    75% {
        color: rgba(190, 155, 248, 0.89);
        transform: rotateZ(270deg);
    }
    100% {
        color: var(--primary-color);
        transform: rotateZ(360deg);
    }
}